<?php
namespace Ems\portalGestor\Service;

use Ems\portalGestor\Util\HcmServices;

class VinculoService {

    /** @var HcmServices */
    protected $hcmServices;

    public function __construct(
        HcmServices $hcmServices
    ) {
        $this->hcmServices = $hcmServices;
    }

    public function getVinculoTodos(
        array $row
    ): array {
        $nrOrg = (int) $row['NRORG'];

        $hcmServicesRoute = 'getVinculoTodos';

        $params = [
            'requestType' => 'Row',
            'row' => $row,
        ];

        $response = $this->hcmServices->send($hcmServicesRoute, $params, $nrOrg);
        $status = (array) $response['dataset'][$hcmServicesRoute];

        return $status;
    }

    public function getVinculoTodosResp(
        array $row
    ): array {
        $nrOrg = (int) $row['NRORG'];

        $hcmServicesRoute = 'getVinculoTodosResp';

        $params = [
            'requestType'   => 'Row',
            'row'           => $row,
        ];

        $response = $this->hcmServices->send($hcmServicesRoute, $params, $nrOrg);
        $status = (array) $response['dataset'][$hcmServicesRoute];

        return $status;
    }

    public function getHorarioBaseDia(
        array $row
    ): array {
        $nrOrg = (int) $row['NRORG'];

        $hcmServicesRoute = 'getHorarioBaseDia';

        $params = [
            'requestType'   => 'Row',
            'row'           => $row,
        ];

        $response = $this->hcmServices->send($hcmServicesRoute, $params, $nrOrg);
        $status = (array) $response['dataset'][$hcmServicesRoute];

        return $status;
    }
}
